Subject: bug#44174: closed (Re: [bug#44174] [PATCH v2 00/15] Add hledger and its dependencies.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 01 Nov 2020 13:39:01 +0000

Your bug report

#44174: [PATCH 00/16] Add hledger and its dependencies.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44174: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44174
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#44174] [PATCH v2 00/15] Add hledger and its dependencies.
From: Christopher Baines <[email-masked]>
To: Carlo Holl <[email-masked]>
Cc: [email-masked]
Date: Sun, 01 Nov 2020 13:38:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Carlo Holl <[email-masked]> writes:

> This patch series adds hledger, a plaintext accounting program.
>
> Changes since v1 (based on feedback from Christopher Baines):
>     - Fixed incorrect indentation.
>     - Added changelog entries to each commit message.
>     - Improved descriptions for some of the packages.
>     - Moved attribution to first commits to touch any given file.
>
> Notes:
>
> Christopher suggested I wrap an ascii table with @verbatim as part of the description for the ghc-tabular package so that it displays correctly, but I couldn't get 'guix show' to work with @verbatim, failing with <<Throw to key `parser-error' with args `(#<input: string 7fdb95dad700> "EOF while reading a token " "reading verbatim")'.>>. I used @example instead, which works under 'guix show', but I'm not sure what the implications are for other output formats.
>
> Carlo Holl (15):
>   gnu: Add ghc-control-monad-free.
>   gnu: Add ghc-csv.
>   gnu: Add ghc-decimal.
>   gnu: ghc-doctest: Update to 0.16.3.
>   gnu: Add ghc-hspec-megaparsec.
>   gnu: Add ghc-lucid.
>   gnu: Add ghc-only.
>   gnu: Add ghc-text-short.
>   gnu: Add ghc-tabular.
>   gnu: Add ghc-uglymemo.
>   gnu: Add ghc-wizards.
>   gnu: Add ghc-cassava.
>   gnu: Add ghc-cassava-megaparsec.
>   gnu: Add ghc-hledger-lib.
>   gnu: Add hledger.
>
>  gnu/packages/finance.scm     |  63 ++++
>  gnu/packages/haskell-xyz.scm | 557 ++++++++++++++++++++++++++++++++++-
>  2 files changed, 608 insertions(+), 12 deletions(-)

Awesome! I went through and tweaked some descriptions and wrapping and
pushed to master as e6bfb02eb79777b760031384d4a3c14239f7fb55.

Thanks again,

Chris

Subject: [PATCH 00/16] Add hledger and its dependencies.
From: Carlo Holl <[email-masked]>
To: [email-masked]
Cc: Carlo Holl <[email-masked]>
Date: Fri, 23 Oct 2020 00:46:53 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Guix,

This patch series adds hledger, a plaintext accounting program. hledger started as a Haskell reimplementation of
Ledger CLI. I use hledger regularly to manage personal finances and those of several businesses, and would not be 
suprised to find other hledger users in the Guix community.

More information is available at https://hledger.org.

A couple of notes:

    1. The hledger package is placed in (gnu packages finance), and its dependencies in (gnu packages haskell-xyz).
    2. The hledger package is *not* prefixed with 'ghc', but its dependencies are.
    3. The package ghc-doctest was bumped (minor version), affecting several dependent packages. 
        I was able to build most of these affected packages (querying guix refresh --list-dependents), 
        but it was taking forever so I cut that effort short. I consider this a rough heuristic to determine
        that there are no substantial changes associated with this version bump.
    4. I'm not terribly familiar with the Texinfo format, so there are likely some rough edges there. 
    5. I am able to build hledger and its dependencies without error, but was unsuccessful building
        on different architectures with qemu. I wasn't even able to build GHC under qemu so I didn't bother
        digging any further.

This is my first contribution to Guix, and I'm also not a Haskell expert, so expect some headaches. I am happy to attend 
to any issues as best I am able.

Carlo

Carlo Holl (16):
  gnu: Add ghc-control-monad-free.
  gnu: Add ghc-csv.
  gnu: Add ghc-decimal.
  gnu: Upgrade ghc-doctest.
  gnu: Add ghc-hspec-megaparsec.
  gnu: Add ghc-lucid.
  gnu: Add ghc-only.
  gnu: Add ghc-text-short.
  gnu: Add ghc-tabular.
  gnu: Add ghc-uglymemo.
  gnu: Add ghc-wizards.
  gnu: Add ghc-cassava.
  gnu: Add ghc-cassava-megaparsec.
  gnu: Add ghc-hledger-lib.
  gnu: Add hledger.
  Add attribution.

 gnu/packages/finance.scm     |  64 ++++
 gnu/packages/haskell-xyz.scm | 579 ++++++++++++++++++++++++++++++++++-
 2 files changed, 628 insertions(+), 15 deletions(-)

-- 
2.28.0